Subject: Re: bug#69418: test failure when no french locale is installed
From: Pádraig Brady <[email-masked]>
To: Bruno Haible <[email-masked]>, [email-masked]
Date: Tue, 27 Feb 2024 14:18:27 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 26/02/2024 23:05, Bruno Haible wrote:
> Testing the current coreutils git master:
> 
> On a Debian 12 system, in which I have not installed a French UTF-8 locale,
> I see a test failure of tests/misc/join-utf8.
> 
> The essential lines from test-suite.log:
> 
> + test set = set
> + LC_ALL=none
> ../tests/misc/join-utf8.sh: line 24: warning: setlocale: LC_ALL: cannot change locale (none): No such file or directory
> 
> The cause is that on such a system, LOCALE_FR_UTF8, as determined by
> gnulib/m4/locale-fr.m4, is 'none', not empty or absent.
> 
> The attached patch fixes the failure.
> 

Applied.

This also indicates that gnulib ensures that LOCALE_FR_UTF8
is set to "none" when not present or usable,
so I've made that simplification in other tests now.

Marking this as done.

thanks!
Pádraig.